Subject: Summary: choosing "zero freqs" to be projected out

From: "Stefan Fau" <[email-masked]>
Date: Sat, 20 Feb 1999 18:34:06 +0100

Dear CCLers,

I asked how the modes belonging to translational and rotational 
movements are separated from the vibrational modes in a frequency 
calculation. Thanks to Frank Jensen and Doug Fox for their answers.

The translational and rotational modes are selected on the basis of 
mechanical considerations, not by the values of the raw frequencies. 
The separation can be done by a projection technique (e.g. Gaussian, 
GAMESS-US) or a level-shifting technique (e.g. MOPAC).

The original question and answers are given below.

Stefan
______________________________________________________________________
Dr. Stefan Fau
Fachbereich Chemie, AK Frenking
Philipps-Universität Marburg
35032 Marburg, Germany
[email-masked]

Question:
> Dear CCLers,
> 
> Gaussian (like many other programs) projects out the 6 "zero freqs" 
> that belong to translation and rotation of a non-linear molecule before 
> diagonalizing the remaining matrix. These "zero freqs" can be of similar 
> magnitude as the lowest vibrational frequencies if the molecule is very 
> floppy (I once had a molecule with 7 freqs of |ny|<15cm^-1).
> 
> Does anybody know how the "zero freqs" are selected? Just by the absolute 
> value of the raw frequency or is there some check for the type of movement 
> (e.g. all atomic vectors of the mode parallel/orthogonal to the molecular 
> translation/rotation vector) to avoid projecting out a vibrational 
> frequency if vibrational and "zero" freqs are intermingled?
>
>    Stefan

Answer 1:
>       Stefan,
>       as far as I know, there are two common procedures for
> removing the 3T+3R modes, projecting and level-shifting.
>
> The projection technique is described in JCP 72, 99. You
> construct 6 cartesian vectors describing the 3T+3R motions
> (e.g. Tx is N{1,0,0,1,0,0,1,0,0...}) and form a projection
> matrix as P=1-(tx)(tx)dagger- 5 more terms. The force constant
> matrix is then projected as PFPdagger before diagonalization.
> The 6 TR modes are then zero within the numerical accuracy
> of the machine and can easily be picked out. 
> This is used in e.g. Gaussian and GAMESS-US.
>
> The level-shifting adds large components to the force
> constant matrix corresponding to T+R, such that these
> frequencies are no longer close to zero, but very much
> larger than any real frequencies. This effectively
> decouples them from the real frequencies when the
> level-shifted force constant matrix is diagonalized.
> Due to their large numerical value they can also easily
> be picked out after diagonalization. This is the
> techniques used in e.g. MOPAC.
>
>        Frank

Answer 2:
> Stefan,
>
> The projectors for translation and rotation can be defined from knowledge
> of the moments of inertia and if translational invariance is present the
> translational modes will have a zero norm.
>
> If you have access to the source check out TrVect and VibFrq in utilnz.F.
>
> Douglas J. Fox
> Director of Technical Support
> [email-masked]